/*******************************************************************************
 * Source File: SimpleService.java
 ******************************************************************************/
package edu.utah.further.examples.fuse_aop;

/**
 * A simple service for unit testing and demonstration purposes.
 * <p>
 * -----------------------------------------------------------------------------------<br>
 * (c) 2008-2009 FURTHeR Project, Health Sciences IT, University of Utah<br>
 * Contact: Dr. Scott Narus {@code <scott.narus@hsc.utah.edu>}<br>
 * Biomedical Informatics, 26 South 2000 East<br>
 * Room 5775 HSEB, Salt Lake City, UT 84112<br>
 * Day Phone: 1-801-213-3288<br>
 * -----------------------------------------------------------------------------------
 *
 * @author Oren E. Livne {@code <oren.livne@utah.edu>}</code>
 * @version Aug 4, 2009
 */
public interface SimpleService
{
	// ========================= METHODS ===================================

	/**
	 * Reply with a hello message.
	 *
	 * @param message
	 *            input message
	 * @return returns "Hello, message" in text format
	 */
	String sayHello(String helloMessage);
}